unit Ex1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Clear: TButton;
    Memo1: TMemo;
    Save: TButton;
    Open: TButton;
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    SaveDialog1: TSaveDialog;
    procedure ClearClick(Sender: TObject);
    procedure SaveClick(Sender: TObject);
    procedure OpenClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Memo1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var Form1: TForm1; FileName : String;
implementation {$R *.DFM}

procedure TForm1.ClearClick(Sender: TObject);
begin
  Memo1.Clear;
  Save.Enabled := False;
end;

procedure TForm1.SaveClick(Sender: TObject);
begin
  SaveDialog1.Title := 'Save to File: ';
  if SaveDialog1.Execute then
  begin
    if FileExists(SaveDialog1.FileName) then
    if MessageDlg(Format('OK to overwrite %s', [SaveDialog1.FileName]),
        mtConfirmation, mbYesNoCancel, 0) <> idYes then Exit;
        Memo1.Lines.SaveToFile(SaveDialog1.FileName);
  end;      
end;

procedure TForm1.OpenClick(Sender: TObject);
var  MyFilesExtension : String;
begin
 if OpenDialog1.Execute then
  begin     
    Application.Title := ExtractFileName(OpenDialog1.FileName);
    Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
    Caption := (OpenDialog1.FileName);
    Memo1.SetFocus;
    Save.Enabled := True;
end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Memo1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Save.Enabled := True;
end;

end.
